Skip to main content
GET
/
api
/
auth
/
api-keys
List API keys for the current user
curl --request GET \
  --url https://my.momanic.com/api/auth/api-keys \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "keyPreview": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "lastUsedAt": "2023-11-07T05:31:56Z",
    "expiresAt": "2023-11-07T05:31:56Z",
    "revokedAt": "2023-11-07T05:31:56Z",
    "state": "active"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

API keys

id
string<uuid>
name
string
keyPreview
string
createdAt
string<date-time> | null
lastUsedAt
string<date-time> | null
expiresAt
string<date-time> | null
revokedAt
string<date-time> | null
state
enum<string>
Available options:
active,
expired,
revoked